
@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Passion+One:wght@400;700;900&display=swap');

*{
margin: 0;
padding: 0;
box-sizing: border-box;
font-family: poppins ;
}

.decorated_heading_1{
    text-transform: uppercase;
    text-align: left;
}
.decorated_heading_1::after{
    content: '';
    display: block;
    height: 1px;
    background: #ed1c24;
    width: 50px;
    margin-top: 15px;
}
.decorated_heading_2{
    text-transform: uppercase;
    text-align: center;
}
.decorated_heading_2::after{
    content: '';
    display: block;
    height: 1px;
    background: #ed1c24;
    width: 50px;
    margin-top: 15px;
    margin-left: auto;
    margin-right: auto;
}
.paragraph{
    font-size: 14px;
    line-height: 30px;
    text-align: justify;
}
p,span{
    font-size: 14px;
    line-height: 30px;
}
a{
text-decoration: none;
color: black;
}
















.main_carousel{
    justify-content: center;
    margin-top: 50px;
    padding: 0px 100px ;
}
.main_carousel .row_1{
    width: 100%;
    display: flex;
    gap: 10px;
    padding: 50px;
    border-radius: 20px;
    background: linear-gradient(85.91deg, #faf4fd -31.4%, #f0f9fd 57.96%, #f1fcfb 146.43%);
}
.main_carousel .coloumn_1{
    width: 35%;
}
.main_carousel .coloumn_2{
    width: 65%;
    display: flex;
    justify-content: center;
}
.main_carousel  .content{
    width: 100%;
}
.main_carousel .coloumn_1 .content{
padding-right: 50px;
}
.main_carousel .coloumn_1 h3 {
font-size: 26px;
font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
font-weight: 600;
text-align: justify;
}
.main_carousel .coloumn_1 .company_name{
font-size: 40px;
font-weight:bolder;
font-family: Passion One;
font-weight: 400;
}
.main_carousel .coloumn_1 strong{
    font-size: 16px;
    font-weight:900;
    }
.main_carousel .carousel {
    position: relative;
    width: 100%;
    border-radius: 3px;
    height: 500px;
}

.main_carousel .carousel-slides {
    position: relative;
    display: flex;
    height: 100%;
    overflow: hidden;
    border-radius: 3px;
}

.main_carousel .slide {
    position: absolute;
    min-width: 100%;
    box-sizing: border-box;
    background-color: #f2f2f2;
    height: 560px;
    border-radius: 3px;
    opacity: 0;
    transform: translateY(0);
    pointer-events: none; /* Prevent interaction when hidden */
    transition: opacity 2s ease,transform 2s ease;
}

.main_carousel .slide.active {
    opacity: 1;
    transform: translateY(-30px);
    pointer-events: auto; /* Allow interaction when active */
}


.main_carousel .slide_background {
    padding: 0 60px;
    border-radius: 3px;
}
.main_carousel .slide_1 .slide_background{
    position: relative;
    background-image: linear-gradient(90deg, rgba(0, 0, 0, 0.4) , rgba(0, 0, 0, 0.4)), 
    url('uploads/9470F5B8-C6A7-4FB8-B2F4-03DA6586C081.webp');
    background-size: cover; /* Ensures the image covers the entire div */
    background-position: center; /* Centers the image */
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    color: white;
}
.main_carousel .slide_2 .slide_background{
    position: relative;
    background-image: linear-gradient(90deg, rgba(0, 0, 0, 0.4) , rgba(0, 0, 0, 0.4)), 
    url('uploads/9470F5B8-C6A7-4FB8-B2F4-03DA6586C081.webp');
    background-size: cover; /* Ensures the image covers the entire div */
    background-position: center; /* Centers the image */
    display: flex;
    justify-content: flex-start;
    align-items: center;
    height: 100%;
    color: white;

}

.main_carousel .slide_content{
 z-index: 2;
 width: 100%;
 text-align: left;
}


.main_carousel .pagination {
    position: absolute;
    bottom: 10px;
    width: 100%;
    text-align: center;
}

.main_carousel .dot {
    height: 15px;
    width: 15px;
    margin: 0 5px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    cursor: pointer;
}

.main_carousel .active {
    background-color: #717171;
}


.main_carousel .heading{
    margin-top:20px ;
    font-size: 28px;
    font-weight: 700;
}
.main_carousel .description{
    margin-top:20px ;
    font-size: 18px;
}
.main_carousel .action_buttons{
    margin-top:20px ;
    font-size: 24px;
    font-weight: 900;
    text-transform: uppercase;
    display: flex;
    gap: 20px;
}
.main_carousel .action_buttons button{
width: 135px;
height: 45px;
border-radius: 0px;
border: none;
color: white;
cursor: pointer;
}
.main_carousel .action_buttons .first_btn{
background-color: green;
}
.main_carousel .action_buttons .second_btn{
    background: black;
}

.footer_section{
    margin-top:150px !important;
}

















@media only screen and (min-width: 769px) and (max-width: 1024px) {

    /* all sections common responsiveness*/

    html, body {
        width: 100%;
        max-width: 100%;
        overflow-x: hidden; /* Prevents horizontal scrolling */
        margin: 0;
        padding: 0;
    }
    .first_section {
        margin-top: 100px ;
        }
    .section  {
    flex-wrap: wrap ;
    padding: 0 60px;
    }
    .section .row{
        flex-wrap: wrap ;
    }
    .section .column  {
        width: 50% ;
    }
    .section .flex_container{
        flex-wrap: wrap ;
    }
    .section .flex_item{
        width: 50% ;
        margin-top: 0;
        padding: 30px ;
    }

    .section .decorated_heading_1{
        text-align: center ;
    }
    .section .decorated_heading_1::after{
        margin-left: auto ;
        margin-right: auto ;
    } 
    
    




/* section wise separate responsiveness*/

.main_carousel .slide {
    height:70vh ;
    }
    .main_carousel .slide_background {
        padding: 50px;
    }
    .main_carousel .pagination {
        bottom: 40px;
    }


    .services_section .content{
        padding: 30px; 
        }


    .about_section {
        padding: 0;
        flex-wrap: wrap;
        flex-direction: column-reverse;
    }
    .about_section .coloumn_1,.about_section .coloumn_2 {
        width: 100%;
      }
      .about_section .coloumn_2{
        padding: 50px 60px;
    }
      .about_section .coloumn_1 .content{
        height: 400px;
    }
    .about_section .about_highlights{
        flex-wrap: wrap;
        gap: 20px;
    }
    .about_section .about_highlights > *{
        width: 100%;
    }


    .features_section {
        gap: 0;
    }
        .features_section .coloumn_1,.features_section .coloumn_2{
        width: 100%;
        }
        .feature {
        padding: 30px;
        margin-top: 0;
    }
        .features_section .coloumn_2{
            justify-content: center;
    }


    .get_started_section {
            padding: 50px 30px;
            gap: 30px;
            }
            .get_started_section .coloumn_1,.get_started_section .coloumn_2{
                width: 100%;
            }
            .get_started_section .coloumn_2{
                justify-content: start;
            }


                .courses_section .column{
                    width: 100%;
                }

                .counter_section {
                padding: 0;
                }
                .counter_section .column{
                    width: 100%;
                }


                .news_carousel .column{
                    width: 100%;
                }
            .news_carousel .content {
                    padding: 0;
                }
            .news_carousel .carousel-slides {
            flex-wrap: wrap;
            }
            .news_carousel .slide, .news_carousel .slide_content{
            width: 100%;
            }
            .news_carousel .pagination {
            display: none;
            }


            .testimonial_section{
                height: 70vh;
                padding: 100px 60px;
            }
            .testimonial_section .column{
                width: 100%;
            }
            .testimonial_section .slide {
                padding: 30px 100px;
            }


    .partners_section .column{
       width: 100%;
    }
    .partners_section .partners_container{
       flex-wrap: wrap;
        }
        .partners_section .partner{
            width: 25%;
            padding: 30px;
            margin: 0;
        }


}


































@media only screen and (max-width: 768px) {

    /* all sections common responsiveness*/

    html, body {
        width: 100%;
        max-width: 100%;
        overflow-x: hidden; /* Prevents horizontal scrolling */
        margin: 0;
        padding: 0;
    }
    .first_section {
        margin-top: 100px ;
        }
    .section  {
    flex-wrap: wrap ;
    padding: 0 30px;
    }
    .section .row{
        flex-wrap: wrap ;
    }
    .section .column  {
        width: 100% ;
    }
    .section .flex_container{
        flex-wrap: wrap ;
    }
    .section .flex_item{
        width: 100% ;
        margin-top: 0;
        padding: 30px ;
    }
    .section .decorated_heading_1{
        text-align: center ;
    }
    .section .decorated_heading_1::after{
        margin-left: auto ;
        margin-right: auto ;
    }





/* section wise separate responsiveness*/

.main_carousel .slide {
        height:70vh ;
}
.main_carousel .slide_background {
    padding: 50px;
}
.main_carousel .pagination {
    bottom: 40px;
}


    .about_section {
        flex-direction: column-reverse;
        padding: 0;
    }
      .about_section .coloumn_2 {
        padding: 50px 0;
      }
      .about_section .coloumn_2 .content{
        padding: 0 20px;
    }
      .about_section .coloumn_1 .content{
        height: 400px;
    }
    .about_section .progress_container{
        padding: 0 30px;
    }


.features_section .coloumn_2{
        justify-content: center;
}


.get_started_section {
padding: 50px 30px;
gap: 30px;
}
.get_started_section .coloumn_2{
justify-content: start;
}


.purchase button {
padding: 15px 50px;
}

.counter_section {
    padding: 0;
    }
.counter_section .parallax {
    height: 60vh;
 }


 .news_carousel  .content{
    padding: 0;
}
.news_carousel .carousel-slides {
flex-wrap: wrap;
}
.news_carousel .slide, .news_carousel .slide_content{
width: 100%;
}
.news_carousel .news_container {
    width: 100%;
    flex-wrap: wrap;
    gap: 0;
    }
.news_carousel .single_news{
    margin-top: 0;
    padding:30px;
    width: 100%;
}
.news_carousel .pagination {
display: none;
}


.testimonial_section{
    height: 70vh;
    padding: 100px 30px;
}
.testimonial_section .slide {
    padding: 30px 100px;
}


}








